%define modname redis
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A91_%{modname}.ini

Name:           php-redis
Version:        2.2.7
Release:        %mkrel 1
Summary:        The phpredis extension provides an API for communicating with the Redis key-value store
Group:          Development/PHP
License:        PHP License
URL:            https://github.com/nicolasff/phpredis
Source0:        https://github.com/nicolasff/phpredis/archive/%{version}.tar.gz
BuildRequires:  php-devel

%description
The phpredis extension provides an API for communicating with the Redis key-value store

%prep
%setup -q -n phpredis-%{version}
%autopatch -p1

%build
%serverbuild
%{_bindir}/phpize
%configure2_5x --with-libdir=%{_lib} \
  --enable-%{modname}=shared,%{_prefix}
%make

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 rpm/redis.ini %{buildroot}%{_sysconfdir}/php.d/%{inifile}


%files
%doc CREDITS
%config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%{_libdir}/php/extensions/redis.so


%changelog
* Tue Mar 22 2016 oden <oden> 2.2.7-1.mga6
+ Revision: 994028
- 2.2.7

* Fri Feb 12 2016 umeabot <umeabot> 2.2.5-4.mga6
+ Revision: 958438
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.5-3.mga5
+ Revision: 745032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.5-2.mga5
+ Revision: 687541
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 colin <colin> 2.2.5-1.mga5
+ Revision: 669614
- New version: 2.2.5

* Fri Jan 24 2014 pterjan <pterjan> 2.2.3-5.mga4
+ Revision: 567636
- Rebuild for new PHP

* Wed Dec 18 2013 oden <oden> 2.2.3-4.mga4
+ Revision: 558469
- rebuilt for php-5.5.7

* Sat Oct 19 2013 umeabot <umeabot> 2.2.3-3.mga4
+ Revision: 527862
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2.2.3-2.mga4
+ Revision: 442693
- rebuilt for php-5.5.0RC3

* Sun Jun 09 2013 colin <colin> 2.2.3-1.mga4
+ Revision: 441281
- New version: 2.2.3
- Drop upstream patch now in release
- Build against php-5.5

* Wed Jan 30 2013 oden <oden> 2.2.2-5.mga3
+ Revision: 393317
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2.2.2-4.mga3
+ Revision: 377549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 colin <colin> 2.2.2-3.mga3
+ Revision: 345779
- Rebuild for new PHP

* Mon Jan 07 2013 colin <colin> 2.2.2-2.mga3
+ Revision: 341115
- Switch to better tarball from official upstream 2.2.2 tag.
- Add upstream patch to fix compilation (redis_stream_close gh+phpredis#282)
- Rebuild for latest PHP

* Sun Oct 21 2012 colin <colin> 2.2.2-1.mga3
+ Revision: 308916
- imported package php-redis

